Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.security.publickey
Class RawDSAWithSHA1

    java.lang.Object
      com.mindbright.jca.security.SignatureSpi
          com.mindbright.security.publickey.BaseSignature
              com.mindbright.security.publickey.RawDSAWithSHA1

Direct Known Subclasses:
  DSAWithSHA1

public class RawDSAWithSHA1
extends BaseSignature

Field Summary

Fields inherited from class com.mindbright.security.publickey.BaseSignature
`digest, privateKey, publicKey`

Fields inherited from class com.mindbright.jca.security.SignatureSpi
`appRandom`

Constructor Summary
`RawDSAWithSHA1()`

Method Summary
`protected void` | `initSign()`
`protected void` | `initVerify()`
`protected byte[]` | `sign(byte[] data)`
`protected boolean` | `verify(byte[] signature, byte[] data)`

Methods inherited from class com.mindbright.security.publickey.BaseSignature
`clone, engineGetParameter, engineInitSign, engineInitSign, engineInitVerify, engineSetParameter, engineSetParameter, engineSign, engineSign, engineUpdate, engineUpdate, engineVerify, getRandom`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RawDSAWithSHA1

    public RawDSAWithSHA1()

Method Detail

### initVerify

    protected void initVerify()
                       throws InvalidKeyException

  Specified by:
    `initVerify` in class `BaseSignature`
  Throws:
    `InvalidKeyException`

### initSign

    protected void initSign()
                     throws InvalidKeyException

  Specified by:
    `initSign` in class `BaseSignature`
  Throws:
    `InvalidKeyException`

### sign

    protected byte[] sign(byte[] data)

  Specified by:
    `sign` in class `BaseSignature`

### verify

    protected boolean verify(byte[] signature,
                             byte[] data)

  Specified by:
    `verify` in class `BaseSignature`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD